|  | Home · All Classes · Modules

# QTextItem Class Reference
[QtGui module]

The QTextItem class provides all the information required to draw text in a custom paint engine. More...

### Types

- enum RenderFlag { RightToLeft, Overline, Underline, StrikeOut }
- class RenderFlags

### Methods

- __init__ (self)
- __init__ (self, QTextItem)
- float ascent (self)
- float descent (self)
- QFont font (self)
- RenderFlags renderFlags (self)
- QString text (self)
- float width (self)

## Detailed Description

The QTextItem class provides all the information required to draw text in a custom paint engine.

When you reimplement your own paint engine, you must reimplement QPaintEngine.drawTextItem(), a function that takes a QTextItem as one of its arguments.

## Type Documentation

### QTextItem.RenderFlag

Constant | Value | Description
--- | --- | ---
`QTextItem.RightToLeft` | `0x1` | Render the text from right to left.
`QTextItem.Overline` | `0x10` | Paint a line above the text.
`QTextItem.Underline` | `0x20` | Paint a line under the text.
`QTextItem.StrikeOut` | `0x40` | Paint a line through the text.

The RenderFlags type is a typedef for QFlags<RenderFlag>. It stores an OR combination of RenderFlag values.

## Method Documentation

### QTextItem.__init__ (self)

### QTextItem.__init__ (self, QTextItem)

### float QTextItem.ascent (self)

Corresponds to the ascent of the piece of text that is drawn.

### float QTextItem.descent (self)

Corresponds to the descent of the piece of text that is drawn.

### QFont QTextItem.font (self)

Returns the font that should be used to draw the text.

### RenderFlags QTextItem.renderFlags (self)

Returns the render flags used.

### QString QTextItem.text (self)

Returns the text that should be drawn.

### float QTextItem.width (self)

Specifies the total width of the text to be drawn.